/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing UserForUpdateDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class UserForUpdateDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for UserForUpdateDto
        //private UserForUpdateDto instance;

        public UserForUpdateDtoTests()
        {
            // TODO uncomment below to create an instance of UserForUpdateDto
            //instance = new UserForUpdateDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of UserForUpdateDto
        /// </summary>
        [Fact]
        public void UserForUpdateDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" UserForUpdateDto
            //Assert.IsType<UserForUpdateDto>(instance);
        }

        /// <summary>
        /// Test the property 'GivenName'
        /// </summary>
        [Fact]
        public void GivenNameTest()
        {
            // TODO unit test for the property 'GivenName'
        }

        /// <summary>
        /// Test the property 'FamilyName'
        /// </summary>
        [Fact]
        public void FamilyNameTest()
        {
            // TODO unit test for the property 'FamilyName'
        }

        /// <summary>
        /// Test the property 'Email'
        /// </summary>
        [Fact]
        public void EmailTest()
        {
            // TODO unit test for the property 'Email'
        }

        /// <summary>
        /// Test the property 'Title'
        /// </summary>
        [Fact]
        public void TitleTest()
        {
            // TODO unit test for the property 'Title'
        }

        /// <summary>
        /// Test the property 'Language'
        /// </summary>
        [Fact]
        public void LanguageTest()
        {
            // TODO unit test for the property 'Language'
        }

        /// <summary>
        /// Test the property 'Organization'
        /// </summary>
        [Fact]
        public void OrganizationTest()
        {
            // TODO unit test for the property 'Organization'
        }

        /// <summary>
        /// Test the property 'Disciplines'
        /// </summary>
        [Fact]
        public void DisciplinesTest()
        {
            // TODO unit test for the property 'Disciplines'
        }
    }
}
